<template>
  <div class="flex flex-col gap-2 items-center justify-center">
    <div class="flex gap-2">
      <button @click="currentIndex--;" class="mx-2 bg-citadel-500 disabled:bg-citadel-300/50 rounded-full size-12"
              :disabled="currentIndex === 0"
      ><
      </button>
      <TextScramble :text="props.seed[currentIndex!]!" class="text-3xl font-bold"/>
      <button @click="currentIndex++;" class="mx-2 bg-citadel-500 disabled:bg-citadel-300/50 rounded-full size-12"
              :disabled="currentIndex === props.seed.length - 1"
      >>
      </button>
    </div>
    <p>{{ currentIndex + 1 }} / 24</p>
  </div>
</template>

<script setup lang="ts">
const props = defineProps({
  seed: {
    type: Array as PropType<string[]>,
    required: true,
  },
});

const currentIndex = defineModel<number>();
</script>
